/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v7.0.29,
* Autoprefixer: v9.7.6
* Browsers: last 4 version
*/
.grid-container {
  padding: 0px;
  overflow: auto;
}
/* searching-hokm-View button */

/* Grid */

.grid-row {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}
/* .grid-row:hover {
  background: crimson !important;
} */
.grid-cell {
  -webkit-box-flex: 1;
      -ms-flex: 1;
          flex: 1;
  background: #fff;
  border: 1px solid #efefef;
  padding: 8px 15px;
  font-size: 13px;
  color: #040404;
  text-align: center;
  text-align: right;
  min-width: 200px;
}
.grid-cell .filter-area div button {
  background: var(--Basic);
  outline: 0;
  border-radius: 5px;
  line-height: 5px;
  margin: 5px;
  width: 40px;
  height: 30px;
  cursor: pointer;
}
.grid-row .grid-cell button {
  background: var(--Basic);
  outline: 0;
  border: 1px solid var(--Basic);
  border-radius: 5px;
  width: 30px;
  height: 30px;
  cursor: pointer;
  transition: all 0.5s;
}
.grid-row .grid-cell button:hover {
  background: var(--BasicHover);
  border : 1px solid var(--BasicHover)
}
.grid-row .grid-cell .thin-action {
  min-width: 60px;
  max-width: 60px;
  text-align: center;
}
.grid-row .grid-cell button span.icon {
  color: #fff;
  font-size: 16px;
}

.grid-cell .filter-area div button:hover {
  background: var(--BasicHover);
  
}
.grid-cell .filter-area .r-input {
  margin-top: 5px;
  margin-bottom: 5px;
  
}

.grid-cell.search-input .search-input__style {
  background: var(--white-color);
  position: absolute;
  border-radius: 3px;
  padding: 2px;
  height: 45px;
  text-align: center;
  transform: translate(-15%,70%);
  -webkit-box-shadow: 0px 0px 2px 1px rgba(0,0,0,0.75);
          box-shadow: 0px 0px 2px 1px rgba(0,0,0,0.75);
  -webkit-transition: max-height 0.7s ease-out;
  -o-transition: max-height 0.7s ease-out;
  transition: max-height 0.7s ease-out;
  overflow: hidden;
  -webkit-transition: all 0.7s ease-out;
  -o-transition: all 0.7s ease-out;
  transition: all 0.7s ease-out;
}
.grid-cell.search-input .search-display{
  height: 0;
  -webkit-transition: max-height 0.7s ease-out;
  -o-transition: max-height 0.7s ease-out;
  transition: max-height 0.7s ease-out;
  overflow: hidden;
  -webkit-transition: all 0.7s ease-out;
  -o-transition: all 0.7s ease-out;
  transition: all 0.7s ease-out;
  position: absolute;
}
.search-triangle.display{
  border : 0;
}
.search-triangle{
  width: 0;
  height: 0;
  position: absolute;
  border-left: 11px solid transparent;
  border-right: 11px solid transparent;
  border-bottom: 11px solid var(--white-color);
  overflow: hidden;
  -webkit-transition: all 0.7s linear;
  -o-transition: all 0.7s linear;
  transition: all 0.7s linear;
  transform: translate(-60px,22px);
  z-index: 2;
}
/* .grid-cell.search-input input {
  outline: none;
  border: 2px solid var(--BasicHover);
  transition: all 0.5s ease-in-out;
  
} */
.grid-cell.search-input input:focus{
  outline: none;
}
.grid-cell.search-input input {
  border: 1px solid #ddd;
  border-radius: 0px 3px 3px 0;
  padding: 8px 30px;
  height: 35px;
  margin: 3px 3px 3px 0px;
  font-family: inherit;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  font-size: 12px;
}
.grid-cell.search-input button.search_btn{
  color: var(--Basic);
  background: var(--white-color);
  border-radius: 3px 0 0 3px;
  border: 1px solid #ddd;
  height: 35px;
  margin: 0 0 0 1px;
  font-family: inherit;
  box-sizing: border-box;
  font-size: 12px;
  transition: all 0.5s linear;
}
.grid-cell.search-input button.search_btn:hover{
  color: var(--white-color);
  background: var(--BasicHover);
  border: 1px solid var(--BasicHover);
}
.grid-cell span.icon {
  font-size: 14px;
  color: #fff;
}
.grid-cell.thin {
  min-width: 70px;
  max-width: 70px;
  text-align: center;
  padding: 0px 0px;
}
.grid-cell.thin div {
  margin: 7px 1px;
}
.table-header > div {
  background: var(--Basic);
  color: #fff;
}
.table-row-odd > div {
  background: #fff;
}
.table-row-even > div {
  background: #f2f2f2;
}
.table-row-select > div {
  /* color: #fff; */
  background: var(--CL_244a80);
  color: #fff;
  cursor: pointer;
}
.grid-row.table-row-odd:hover > div,
.grid-row.table-row-even:hover > div {
  background: #ddd;
  cursor: pointer;
}
.grid-cell-text {
  overflow: hidden;
  -o-text-overflow: ellipsis;
     text-overflow: ellipsis;
  white-space: nowrap;
}
.a-grid .grid-actions {
  cursor: pointer;
}
.a-grid .filter-area {
  /* width: 200px; */
  width: 100%;
  overflow: hidden;
}
.a-grid .grid-cell .grid-sort {
  margin: 0px 1rem;
  font-size: 10px !important;
  cursor: pointer;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}

.filter-area select {
  margin-top: 8px;
  border: 1px solid #ddd;
  border-radius: 5px;
  padding: 5px 5px;
  position: relative;
  top: -3px;
  height: 30px;
  width: 100%;
  font-family: inherit;
  color: #686868;
  font-size: 12px;
}
/* .filter-area input {
  border: 1px solid #ddd;
  border-radius: 5px;
  padding: 5px 8px;
  width: 100%;
  font-family: inherit;
  box-sizing: border-box;
  font-size: 12px;
} */

.a-grid li {
  list-style: none;
}

.a-grid th input {
  border: 1px solid #ddd;
  border-radius: 5px;
  padding: 5px 8px;
  width: 100%;
  font-family: inherit;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  font-size: 12px;
}
.a-grid {
  position: relative;
  margin-top: 15px;
  /* margin: 0.5rem 0 1rem 0; */
  border-radius: 10px 10px 0px 0px;
  font-family: inherit;
  direction: ltr;
}
.grid-cell.thin button span {
  color: #fff;
}
.a-grid-paginate .table-footer {
  border: 2px solid #ddd;
  border-radius: 3px;
  direction: rtl;
  height: 56px;
  padding-left: 24px;
  padding-right: 14px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: reverse;
      -ms-flex-direction: row-reverse;
          flex-direction: row-reverse;
  -webkit-box-pack: end;
      -ms-flex-pack: end;
          justify-content: flex-end;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  font-size: 12px !important;
  color: rgba(0, 0, 0, 0.54);
}

.a-grid-paginate .table-footer .dataTables_length {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.a-grid-paginate .table-footer label {
  font-size: 12px;
  color: rgba(0, 0, 0, 0.54);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  /* works with row or column */

  -webkit-box-orient: horizontal;

  -webkit-box-direction: normal;

      -ms-flex-direction: row;

          flex-direction: row;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}
.a-grid-paginate .table-footer * {
  -webkit-user-select: none;
  -moz-user-select: none;
   -ms-user-select: none;
       user-select: none;
}
.a-grid-paginate .table-footer .select-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  /* works with row or column */

  -webkit-box-orient: horizontal;

  -webkit-box-direction: normal;

      -ms-flex-direction: row;

          flex-direction: row;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

.a-grid-paginate .table-footer .dataTables_info,
.a-grid-paginate .table-footer .dataTables_length {
  margin-right: 32px;
}

.a-grid-paginate .table-footer .material-pagination {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-display: flex;
  margin: 0;
}

.a-grid-paginate .table-footer .material-pagination li:first-child {
  margin-right: 24px;
}

.a-grid-paginate .table-footer .material-pagination li a {
  color: rgba(0, 0, 0, 0.54);
}
.a-grid-paginate .table-footer .material-pagination .paginate_button {
  background: var(--Basic) !important;
  margin: 0px 3px;
  padding: 2px;
  border-radius: 3px;
}
.a-grid-paginate .table-footer .material-pagination .paginate_button:hover {
  background: var(--BasicHover) !important;
}

.a-grid-paginate .table-footer .select-wrapper input.select-dropdown {
  margin: 0;
  border-bottom: none;
  height: auto;
  line-height: normal;
  font-size: 12px;
  width: 40px;
  text-align: right;
}

.a-grid-paginate .table-footer select {
  background-color: transparent;
  width: auto;
  padding: 0;
  border: 0;
  border-radius: 0;
  height: auto;
  margin-left: 20px;
  font-family: inherit;
}
.a-grid-paginate .table-footer ul > li.paginate_button {
  cursor: pointer;
}

.grid-container::-webkit-scrollbar {
  width: 10px;
  height: 10px;
  background-color: #e3e3e3;
}
.grid-container::-webkit-scrollbar-thumb {
  background-color: var(--Basic);
  border-radius: 5px;
}
.grid-container{
  scrollbar-width: thin;
  scrollbar-color: var(--Basic) #e3e3e3;
}